# signing.templates.list

List agreement templates: the Contractor Agreement, Non-Disclosure Agreement, Signature Request, and Document with Header starters on company letterhead plus custom templates, with merge fields and signer roles. Set includeArchived to include archived templates.

`GET | POST /api/v1/accounting/signing.templates.list`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_signing_templates_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `includeArchived` | boolean |  | Also include archived records. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/signing.templates.list \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/signing.templates.list
